package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 结算证明 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvSettlementProveDetailDao;
import com.heyu.api.data.entity.vv.VvSettlementProveDetailEntity;
import com.heyu.api.data.service.vv.VvSettlementProveDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvSettlementProveDetailServiceImpl extends ServiceImpl<VvSettlementProveDetailDao, VvSettlementProveDetailEntity> implements VvSettlementProveDetailService {


    @Autowired
	private VvSettlementProveDetailDao vvSettlementProveDetailDao;



	@Override
	public VvSettlementProveDetailEntity selectVvSettlementProveDetailById(Long id){
		return vvSettlementProveDetailDao.selectVvSettlementProveDetailById(id);
	}



	@Override
	public Long insertVvSettlementProveDetail(VvSettlementProveDetailEntity vvSettlementProveDetail){
		return vvSettlementProveDetailDao.insertVvSettlementProveDetail(vvSettlementProveDetail);
	}



	@Override
	public Long insertOrUpdateVvSettlementProveDetail(VvSettlementProveDetailEntity vvSettlementProveDetail){
		return vvSettlementProveDetailDao.insertOrUpdateVvSettlementProveDetail(vvSettlementProveDetail);
	}



	@Override
	public int updateVvSettlementProveDetailById(VvSettlementProveDetailEntity vvSettlementProveDetail){
		return vvSettlementProveDetailDao.updateVvSettlementProveDetailById(vvSettlementProveDetail);
	}



	@Override
	public int updateCoverVvSettlementProveDetailById(VvSettlementProveDetailEntity vvSettlementProveDetail){
		return vvSettlementProveDetailDao.updateCoverVvSettlementProveDetailById(vvSettlementProveDetail);
	}



	@Override
	public int deleteVvSettlementProveDetailById(Long id){
		return vvSettlementProveDetailDao.deleteVvSettlementProveDetailById(id);
	}



}
